<div class="minds-list">
  <minds-newsfeed-poster></minds-newsfeed-poster>

  <div class="m-feeds-sorted__query">
    <span>Showing Boosts</span>
  </div>

  <ng-container
    *ngFor="let activity$ of feedsService.feed | async; let i = index"
  >
    <minds-activity
      *ngIf="activity$ | async as activity"
      [object]="activity"
      [boostToggle]="activity.boostToggle"
      [boost]="boostFeed"
      [showBoostMenuOptions]="boostFeed"
      (delete)="delete(activity)"
      [slot]="i + 1"
      class="mdl-card m-border item"
    >
    </minds-activity>
  </ng-container>
  <infinite-scroll
    distance="25%"
    (load)="loadNext()"
    [moreData]="feedsService.hasMore | async"
    [inProgress]="feedsService.inProgress | async"
  >
  </infinite-scroll>
</div>
